<?php
/**
 * Customizer settings for this theme.
 *
 * @package WordPress
 * @subpackage Hgw_WhiteBoard
 * @since Hgw WhiteBoard 1.0
 */

//Do we want our template to be boxed or wide?
function hgw_live_social_customize_register($wp_customize){

  //  =============================
  //  = Add section               =
  //  =============================
    $wp_customize->add_section(
    'hgw_sidebar_search_form',
        array(
          'title'    => esc_html__('Sidebar Search Form', 'hgw-whiteboard'),
          'description' => esc_html__('Show Sidebar Search Form', 'hgw-whiteboard'),
          'priority' => 10,
      )
    );
    // Sidebar Search Form ============
    $wp_customize->add_setting(
    'hgw_show_sidebar_search_form',
      array(
          'default' => 1,
          'capability' => 'edit_theme_options',
          'sanitize_callback' => 'hgw_whiteboard_sanitize_checkbox',
      )
    );

    $wp_customize->add_control(
    'hgw_show_sidebar_search_form',
      array(
          'label' => esc_html__('Show Search Form', 'hgw-whiteboard'),
          'section' => 'hgw_sidebar_search_form',
          'type' => 'checkbox',
          'priority' => 10,
      )
    );
    //  =============================
    //  = Add section               =
    //  =============================
    $wp_customize->add_section(
      'hgw-social-section',
      array(
        'title'    => esc_html__('Social Media Settings', 'hgw-whiteboard'),
        'description' => esc_html__('Add Your Page ( Full URL )', 'hgw-whiteboard'),
        'priority' => 10,
    )
  );
    //  =============================
    //  = Add setting               =
    //  =============================

    $wp_customize->add_setting(
    'hgw_show_social_media_checkbox',
      array(
          'default' => 1,
          'capability' => 'edit_theme_options',
          'sanitize_callback' => 'hgw_whiteboard_sanitize_checkbox',
      )
    );

    $wp_customize->add_control(
    'hgw_show_social_media_checkbox',
      array(
          'label' => esc_html__('Show Social Media', 'hgw-whiteboard'),
          'section' => 'hgw-social-section',
          'type' => 'checkbox',
      )
    );

    // ===
    // Twitter
    $wp_customize->add_setting(
        'twitter_url',
        array(
          'capability'     => 'edit_theme_options',
          'type'           => 'option',
          'sanitize_callback' => 'hgw_whiteboard_sanitize_url',
        )
    );

    $wp_customize->add_control(
        'twitter_url',
        array(
            'label' => 'Twitter URL',
            'section'    => 'hgw-social-section',
            'type' => 'url',
            'input_attrs' => array( 'placeholder' => 'https://twitter.com/name', ),
            'active_callback'  =>  'hgwmag_social_media_status',
        )
    );

    // ===
    // Facebook
    $wp_customize->add_setting(
        'facebook_url',
        array(
          'capability'     => 'edit_theme_options',
          'type'           => 'option',
          'sanitize_callback' => 'hgw_whiteboard_sanitize_url'
        )
    );

    $wp_customize->add_control(
        'facebook_url',
        array(
            'label' => 'Facebook URL',
            'section'    => 'hgw-social-section',
            'type' => 'url',
            'input_attrs' => array( 'placeholder' => 'https://facebook.com/name', ),
            'active_callback'  =>  'hgwmag_social_media_status',
        )
    );

    // ===
    // Google+
    $wp_customize->add_setting(
        'google_plus_url',
        array(
          'capability'     => 'edit_theme_options',
          'type'           => 'option',
          'sanitize_callback' => 'hgw_whiteboard_sanitize_url'
        )
    );

    $wp_customize->add_control(
        'google_plus_url',
        array(
            'label' => 'Google Plus URL',
            'section'    => 'hgw-social-section',
            'type' => 'url',
            'input_attrs' => array( 'placeholder' => 'https://plus.google.com/name', ),
            'active_callback'  =>  'hgwmag_social_media_status',
        )
    );

    // ===
    // Youtube URL
    $wp_customize->add_setting(
        'youtube_url',
        array(
          'capability'     => 'edit_theme_options',
          'type'           => 'option',
          'sanitize_callback' => 'hgw_whiteboard_sanitize_url'
        )
    );

    $wp_customize->add_control(
        'youtube_url',
        array(
            'label' => 'Youtube URL',
            'section'    => 'hgw-social-section',
            'type' => 'url',
            'input_attrs' => array( 'placeholder' => 'https://www.youtube.com/channel/name', ),
            'active_callback'  =>  'hgwmag_social_media_status',
        )
    );

    // ===
    // Instagram URL
    $wp_customize->add_setting(
        'instagram_url',
        array(
          'capability'     => 'edit_theme_options',
          'type'           => 'option',
          'sanitize_callback' => 'hgw_whiteboard_sanitize_url'
        )
    );

    $wp_customize->add_control(
        'instagram_url',
        array(
            'label' => 'Instagram URL',
            'section'    => 'hgw-social-section',
            'type' => 'url',
            'input_attrs' => array( 'placeholder' => 'https://www.instagram.com/name', ),
            'active_callback'  =>  'hgwmag_social_media_status',
        )
    );

    // ===
    // Linkedin URL
    $wp_customize->add_setting(
        'linkedin_url',
        array(
          'capability'     => 'edit_theme_options',
          'type'           => 'option',
          'sanitize_callback' => 'hgw_whiteboard_sanitize_url'
        )
    );

    $wp_customize->add_control(
        'linkedin_url',
        array(
            'label' => 'Linkedin URL',
            'section'    => 'hgw-social-section',
            'type' => 'url',
            'input_attrs' => array( 'placeholder' => 'https://www.linkedin.com/company/name', ),
            'active_callback'  =>  'hgwmag_social_media_status',
        )
    );

    // ===
    // Pinterest URL
    $wp_customize->add_setting(
        'pinterest_url',
        array(
          'capability'     => 'edit_theme_options',
          'type'           => 'option',
          'sanitize_callback' => 'hgw_whiteboard_sanitize_url'
        )
    );

    $wp_customize->add_control(
        'pinterest_url',
        array(
            'label' => 'Pinterest URL',
            'section'    => 'hgw-social-section',
            'type' => 'url',
            'input_attrs' => array( 'placeholder' => 'http://pinterest.com/name', ),
            'active_callback'  =>  'hgwmag_social_media_status',
        )
    );

    // ===
    // Telegram Channel URL
    $wp_customize->add_setting(
        'telegram_url',
        array(
          'capability'     => 'edit_theme_options',
          'type'           => 'option',
          'sanitize_callback' => 'hgw_whiteboard_sanitize_url'
        )
    );

    $wp_customize->add_control(
        'telegram_url',
        array(
            'label' => 'Telegram URL',
            'section'    => 'hgw-social-section',
            'type' => 'url',
            'input_attrs' => array( 'placeholder' => 'https://t.me/name', ),
            'active_callback'  =>  'hgwmag_social_media_status',
        )
    );

    // ===
    // Whatsapp URL
    $wp_customize->add_setting(
        'whatsapp_url',
        array(
          'capability'     => 'edit_theme_options',
          'type'           => 'option',
          'sanitize_callback' => 'hgw_whiteboard_sanitize_url'
        )
    );

    $wp_customize->add_control(
        'whatsapp_url',
        array(
            'label' => 'Whatsapp URL',
            'section'    => 'hgw-social-section',
            'type' => 'url',
            'input_attrs' => array( 'placeholder' => 'https://api.whatsapp.com/send?phone=989123456789', ),
            'active_callback'  =>  'hgwmag_social_media_status',
        )
    );

    // ===
    // Sanitize URL
    function hgw_whiteboard_sanitize_url( $url ) {
      return esc_url_raw( $url );
    }
    // ===
    // Sanitize Checkbox
    function hgw_whiteboard_sanitize_checkbox( $input ) {
       return ( ( isset( $input ) && true === $input ) ? true : false );
    }
    // ===
    // Social Media Status
    function hgwmag_social_media_status($control){
        if (true == $control->manager->get_setting('hgw_show_social_media_checkbox')->value()) {
            return true;
        } else {
            return false;
        }
    }

}
add_action( 'customize_register', 'hgw_live_social_customize_register' );


function display_social_media(){


  if ( get_theme_mod('hgw_show_social_media_checkbox', 1 ) == 1 ) :

    $facebook_url = get_option('facebook_url');

    $twitter_url = get_option('twitter_url');

    $google_plus_url = get_option('google_plus_url');

    $youtube_url = get_option('youtube_url');

    $instagram_url = get_option('instagram_url');

    $linkedin_url = get_option('linkedin_url');

    $pinterest_url = get_option('pinterest_url');

    $telegram_url = get_option('telegram_url');

    $whatsapp_url = get_option('whatsapp_url');

    echo '<ul>';

      if ( $twitter_url ){

        echo '<li class="twitter"><a href="'.esc_url($twitter_url).'" target="_blank"><i class="fa fa-twitter-square" aria-hidden="true"></i></a></li>';
      }

      if ( $facebook_url ){

        echo '<li class="facebook"><a href="'.esc_url($facebook_url).'" target="_blank"><i class="fa fa-facebook-square" aria-hidden="true"></i></a></li>';
      }

      if ( $instagram_url ){

        echo '<li class="instagram"><a href="'.esc_url($instagram_url).'" target="_blank"><i class="fa fa-instagram" aria-hidden="true"></i></a></li>';
      }

      if ( $google_plus_url ){

        echo '<li class="google-plus"><a href="'.esc_url($google_plus_url).'" target="_blank"><i class="fa fa-google-plus-square" aria-hidden="true"></i></a></li>';
      }

      if ( $youtube_url ){

        echo '<li class="youtube"><a href="'.esc_url($youtube_url).'" target="_blank"><i class="fa fa-youtube" aria-hidden="true"></i></a></li>';
      }

      if ( $linkedin_url ){

        echo '<li class="linkedin"><a href="'.esc_url($linkedin_url).'" target="_blank"><i class="fa fa-linkedin-square" aria-hidden="true"></i></a></li>';
      }

      if ( $pinterest_url ){

        echo '<li class="pinterest"><a href="'.esc_url($pinterest_url).'" target="_blank"><i class="fa fa-pinterest-square" aria-hidden="true"></i></a></li>';
      }

      if ( $telegram_url ){

        echo '<li class="telegram"><a href="'.esc_url($telegram_url).'" target="_blank"><i class="fa fa-telegram" aria-hidden="true"></i></a></li>';
      }

      if ( $whatsapp_url ){

        echo '<li class="whatsapp"><a href="'.esc_url($whatsapp_url).'" target="_blank"><i class="fa fa-whatsapp" aria-hidden="true"></i></a></li>';
      }

    echo '</ul>';

  endif;


}
