<?php
/**
 * Custom template tags for this theme
 *
 * @package WordPress
 * @subpackage Hgw_WhiteBoard
 * @since Hgw WhiteBoard 1.0
 */

if ( ! function_exists( 'hgw_whiteboard_posted_on' ) ) :
	/**
	 * meta information for the current post-date/time.
	 */
	function hgw_whiteboard_posted_on() {
		?>
		<span class="element">

			<i class="fa fa-user" aria-hidden="true"></i>

			<a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ) ?>">

				<?php echo esc_html( get_the_author() ) ?>

			</a>
			<span><?php echo esc_html_e( 'in', 'hgw-whiteboard' ); ?></span>
			<time class="entry-date published" datetime="<?php echo esc_attr( get_the_date( DATE_W3C ) ) ?>">

				<?php echo esc_html( get_the_date('d M Y') ) ?>

			</time>

		</span>
		<?php
	}

endif;



if ( ! function_exists( 'hgw_whiteboard_categories' ) ) :
	/**
	 * Categories for the current post
	 */

    	function hgw_whiteboard_categories() {
        ?>
          <div class="entry-taxonomy-inner">

            <span class="screen-reader-text">

              <i class="fa fa-list" aria-hidden="true" title="<?php esc_attr_e( 'Categories', 'hgw-whiteboard' ); ?>"></i>

            </span>

        <?php

        $count_cat = 0;

        $getCats = get_the_category();

        $lastCat = array_key_last($getCats) + 1;

        foreach( $getCats as $getCat ){

          $count_cat++;

					$getCatURL = get_category_link($getCat->cat_ID);

					$getCatName = $getCat->cat_name;

          if ( $count_cat < 3 ) {

            echo '<a href="'. esc_url( $getCatURL ).'">'.esc_html( $getCatName ).'</a>';

          }else {


            if ($count_cat < 3){

                  echo '<a href="'. esc_url( $getCatURL ).'">'.esc_html( $getCatName ).'</a>';

                }elseif ( $count_cat == 4 ) {

                  echo '<div class="more-tax"><span class="show-more-tax">More</span><div class="items">';
									echo '<a href="'. esc_url( $getCatURL ).'">'.esc_html( $getCatName ).'</a>';

								}elseif ( $count_cat == $lastCat ) {

                  echo '<a href="'. esc_url( $getCatURL ).'">'.esc_html( $getCatName ).'</a></div></div>';

								}else{

                echo '<a href="'. esc_url( $getCatURL ).'">'.esc_html( $getCatName ).'</a>';

								}

          }

        }

        ?>

        </div><!-- .entry-categories-inner -->

        <?php
	}
endif;



if ( ! function_exists( 'hgw_whiteboard_copyright' ) ) :

function hgw_whiteboard_copyright() {
	/**
	 * Add Copyright to footer
	 */
	global $wpdb;

	$copyright_dates = $wpdb->get_results("
			SELECT
			YEAR(min(post_date_gmt)) AS firstdate,
			YEAR(max(post_date_gmt)) AS lastdate
			FROM
			$wpdb->posts
			WHERE
			post_status = 'publish'
		");

	$output = '';

	if($copyright_dates) {

		$copyright = "&copy; " . $copyright_dates[0]->firstdate;

		if($copyright_dates[0]->firstdate != $copyright_dates[0]->lastdate) {

			$copyright .= '-' . $copyright_dates[0]->lastdate;

		}

		$output = $copyright;

	}

	return $output;

}

endif;
